IdeaPlugin (Gradle API 8.11)

Package org.gradle.plugins.ide.idea

## Class IdeaPlugin

- java.lang.Object
- - org.gradle.plugins.ide.internal.IdePlugin
  - - org.gradle.plugins.ide.idea.IdeaPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      public abstract class IdeaPlugin
      extends org.gradle.plugins.ide.internal.IdePlugin

  Adds a GenerateIdeaModule task. When applied to a root project, also adds a GenerateIdeaProject task. For projects that have the Java plugin applied, the tasks receive additional Java-specific configuration.
  See Also:
    IDEA plugin reference

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static com.google.common.base.Function<Project,​JavaVersion>` | `SOURCE_COMPATIBILITY` |
    `static com.google.common.base.Function<Project,​JavaVersion>` | `TARGET_COMPATIBILITY` |

    - ### Fields inherited from class org.gradle.plugins.ide.internal.IdePlugin

      `project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IdeaPlugin​(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.plugins.ide.internal.configurer.UniqueProjectNameProvider uniqueProjectNameProvider, org.gradle.plugins.ide.internal.IdeArtifactRegistry artifactRegistry, org.gradle.api.internal.project.ProjectStateRegistry projectPathRegistry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getLifecycleTaskName()` |
    `IdeaModel` | `getModel()` |
    `protected void` | `onApply​(Project project)` |

    - ### Methods inherited from class org.gradle.plugins.ide.internal.IdePlugin

      `addWorker, addWorker, addWorker, addWorker, addWorkspace, apply, cleanName, dependsOn, dependsOn, getCleanTask, getExecOperations, getLifecycleTask, isRoot, toGradleCommand, withDescription`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SOURCE_COMPATIBILITY

          public static final com.google.common.base.Function<Project,​JavaVersion> SOURCE_COMPATIBILITY

    - #### TARGET_COMPATIBILITY

          public static final com.google.common.base.Function<Project,​JavaVersion> TARGET_COMPATIBILITY

  - ### Constructor Detail

    - #### IdeaPlugin

          @Inject
          public IdeaPlugin​(org.gradle.internal.reflect.Instantiator instantiator,
                            org.gradle.plugins.ide.internal.configurer.UniqueProjectNameProvider uniqueProjectNameProvider,
                            org.gradle.plugins.ide.internal.IdeArtifactRegistry artifactRegistry,
                            org.gradle.api.internal.project.ProjectStateRegistry projectPathRegistry)

  - ### Method Detail

    - #### getModel

          public IdeaModel getModel()

    - #### getLifecycleTaskName

          protected java.lang.String getLifecycleTaskName()

      Specified by:
        `getLifecycleTaskName` in class `org.gradle.plugins.ide.internal.IdePlugin`

    - #### onApply

          protected void onApply​(Project project)

      Overrides:
        `onApply` in class `org.gradle.plugins.ide.internal.IdePlugin`